package main

import (
	"fmt"
	"log"
	"os"
	"os/signal"
	"syscall"

	"git.loafle.net/commons_go/logging"
	"git.loafle.net/overflow/overflow_gateway_webapp/server"
	oogws "git.loafle.net/overflow/overflow_gateway_websocket/server"
)

func main() {
	defer logging.Logger().Sync()

	sh := &server.ServerHandlers{}
	s := oogws.New(sh)

	stop := make(chan os.Signal)
	signal.Notify(stop, syscall.SIGINT)

	go func() {
		if err := s.Start(); nil != err {
			log.Printf("Server: Start error %v", err)
			return
		}
	}()

	select {
	case signal := <-stop:
		fmt.Printf("Got signal: %v\n", signal)
	}

	s.Stop()

}
